Subject: Fw: Annual Report/Renewal Notice
From: "Michael B" <[email-masked]>
To: "Justin Fata" <[email-masked]>
Cc: "Joe Fata" <[email-masked]>
Date: Mon, 7 May 2018 13:35:26 -0400

Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: UCC Corporation 
Sent: Thursday, August 24, 2017 4:54 PM
To: Michael B 
Subject: Re: Annual Report/Renewal Notice

Good afternoon Michael,

It appears the renewal for THE MANDATORY POSTER AGENCY, INC. was already filed 07/03/2017.  This is the reason the renewal id no longer works.  You can confirm the status and renewal date here:
https://secure.utah.gov/bes/details.html?entity=8081409-0143

The next renewal is due 08/31/2018.

I hope this information is helpful.  Please feel free to contact us if you have questions or comments.  It's a pleasure to serve you.  

Respectfully, 

DEPARTMENT OF COMMERCE
Division of Corporations & Commercial Code
Call Center: 801.530.4849 toll free: 877.526.3994
Division Fax: 801.530.6438   www.corporations.utah.gov

Division business hours are Monday through Friday 8AM to 5PM with the exception of State and Federal Holidays

On Thu, Aug 24, 2017 at 2:48 PM, Michael B <[email-masked]> wrote:

  Hello.
  We recently received 2 separate notices for our Corporation and one of our DBAs we have registered. I was able to renew, "Utah Labor Law Poster Service, Inc., The", (how it is listed on the card). That entity number is 8115248-0151. However, I was unable to renew, " Mandatory Poster Agency, Inc., The", Entity number: 8081409-0143, (Renewal ID #: 6166981). I tried it several times but the response is that the information is entered incorrectly. I have verified the numbers I have been given and they are not working. Please advise me as to how I should proceed. Your prompt assistance is greatly appreciated as the notice states that the renewal needs to be completed before 8/31/2017.
  Thank you,
  Michael Bishop
  Labor Law Poster Service